<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ page import="weblogic.security.Security" %>
<%@ page import="java.security.Principal" %>
<%@ page import="java.util.Set" %>
<%@ page import="java.util.Date" %>
<%@ page import="dk.skat.ics.security.ExtendedIdentityHelper" %>
<%@ page import="dk.skat.ics.security.IdentityInformation" %>
<html>
<head>
<meta name="Pragma" content="NO-CACHE" />
<meta http-equiv="Cache-Control" content="No-cache" />
<meta http-equiv="Expires" content="1" />
<title>Result</title>

<style type="text/css">
<!--
TABLE {font-size:small; font-family:'Arial';}
//-->
</style>
</head>
<%
    StringBuffer sb = new StringBuffer(64);
	Set<Principal> principals = Security.getCurrentSubject().getPrincipals();
	if (principals != null) {
		sb.append("<p>");
		for (Principal p : principals) {
			sb.append(p);
			sb.append("<br>");
		}
		sb.append("</p>");
	}

    IdentityInformation info = ExtendedIdentityHelper.getIdentityInformation();
    String other = info.toString();

    Date cur = new Date();

%>

<body>
<h2>Login successful</h2>


<hr>
<h3>Security Context (as RAW WebLogic Principals)</h3>

<p>The following list represents the raw list of (WebLogic) principals:</p>

<%=sb.toString() %>

<hr>
<h3>Security Context via the ExtendedIdentityHelper API</h3>

<p>The following is the result of calling the ExtendedIdentityHelper.getIdentityInformation().toString() method:</p>

<%=other.toString() %>

<hr>

<h3>Testing ICS Role Mapping Provider</h3>
<%
boolean emp = request.isUserInRole("USERTYPE_EMPLOYEE");
boolean skatemp = request.isUserInRole("USERTYPE_SKATEMPLOYEE");
boolean eoriemp = request.isUserInRole("USERTYPE_EORIUSER");
boolean eoritransactions = request.isUserInRole("EORI_TRANSACTIONS_ALLOWED");
%>

The cerficate user has the following roles according to the Role Mapper:

<ul>
<% if (emp) {%>
<li>USERTYPE_EMPLOYEE </li>
<% }%>

<% if (skatemp) {%>
<li>USERTYPE_SKATEMPLOYEE </li>
<% }%>

<% if (eoriemp) {%>
<li>USERTYPE_EORIUSER </li>
<% }%>

<% if (eoritransactions) {%>
<li>EORI_TRANSACTIONS_ALLOWED </li>
<% }%>

</ul>

<hr>
<p>This page was rendered on: <%=cur %> </p>



</body>
</html>
